# Class: FAttachment

## FAttachment()

Attachment is a file directly tied into a note without being a hidden child.

## Constructor

#### new FAttachment()

Source:
  - entities/fattachment.js, line 5

### Members

#### attachmentId :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 15

#### contentLength :int

optionally added to the entity

##### Type:

- int

Source:
  - entities/fattachment.js, line 35

#### dateModified :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 25

#### froca :Froca

##### Type:

- Froca

Source:
  - entities/fattachment.js, line 8

#### mime :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 21

#### ownerId :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 17

#### role :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 19

#### title :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 23

#### utcDateModified :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 27

#### utcDateScheduledForErasureSince :string

##### Type:

- string

Source:
  - entities/fattachment.js, line 29

### Methods

#### (async) getBlob() → {FBlob}

Source:
  - entities/fattachment.js, line 46

##### Returns:

Type
  FBlob

#### getNote() → {FNote}

Source:
  - entities/fattachment.js, line 41

##### Returns:

Type
  FNote